Booklinker.API

<back to all web services

PostLinkIssueReportRequest

The following routes are available for this service:
POST/v1/report-link-issue
PostLinkIssueReportRequest Parameters:
NameParameterData TypeRequiredDescription
AliasDomainbodystringYes
AliasCodebodystringNo
Issuesbodystring[]Yes
EmailbodystringNo
NotesbodystringNo
PostLinkIssueReportResponse Parameters:
NameParameterData TypeRequiredDescription
SuccessformboolNo
ResponseStatusformResponseStatusNo

To override the Content-type in your clients, use the HTTP Accept Header, append the .json suffix or ?format=json

To embed the response in a jsonp callback, append ?callback=myCallback

HTTP + JSON

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

POST /v1/report-link-issue HTTP/1.1 
Host: api.booklinker.com 
Accept: application/json
Content-Type: application/json
Content-Length: length

{"aliasDomain":"String","aliasCode":"String","issues":["String"],"email":"String","notes":"String"}
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: length

{"success":false,"responseStatus":{"errorCode":"String","message":"String","stackTrace":"String","errors":[{"errorCode":"String","fieldName":"String","message":"String","meta":{"String":"String"}}],"meta":{"String":"String"}}}